Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159892 - CAN-2005-1704 Integer overflow in the Binary File Descriptor (BFD) library
Summary: CAN-2005-1704 Integer overflow in the Binary File Descriptor (BFD) library
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: libelf
Version: 2.1
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard: impact=important,public=20050525,repo...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-08 21:16 UTC by Josh Bressers
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-09 15:43:44 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-06-08 21:16:40 UTC
+++ This bug was initially created as a clone of Bug #159888 +++

Integer overflow in the BFD library for libelf allows attackers to execute
arbitrary code via a crafted object file that specifies a large number of
section headers, leading to a heap-based buffer overflow.

Comment 1 Jakub Jelinek 2005-06-09 15:43:44 UTC
Although libelf is shipped in AS2.1, it is completely different codebase
from elfutils' libelf (RHEL3+).  AS2.1 libelf is only shipped as static library
(libelf.a) and to my knowledge nothing in the distro links against it.



Note You need to log in before you can comment on or make changes to this bug.